Summary:	xkbcomp application - compiling XKB keyboard description
Summary(pl.UTF-8):	Aplikacja xkbcomp do kompilacji opisów klawiatury XKB
Name:		xorg-app-xkbcomp
Version:	1.3.0
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xkbcomp-%{version}.tar.bz2
# Source0-md5:	0012a8e3092cddf7f87b250f96bb38c5
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# don't generate deps on devel packages
%define		__noautoreqfiles	xkbcomp.pc

%description
The xkbcomp keymap compiler converts a description of an XKB keymap
into one of several output formats. The most common use for xkbcomp is
to create a compiled keymap file (.xkm extension) which can be read
directly by XKB-capable X servers or utilities. The keymap compiler
can also produce C header files or XKB source files. The C header
files produced by xkbcomp can be included by X servers or utilities
that need a built-in default keymap.

%description -l pl.UTF-8
xkbcomp jest kompilatorem map klawiatury przekształcającym opisy map
klawiatury na jeden z kilku formatów wyjściowych. Najbardziej
powszechnym zastosowaniem xkbcomp jest tworzenie plików skompilowanych
map klawiatury (z rozszerzeniem .xkm), które można mogą być czytane
bezpośrednio przez serwery X lub narzędzia obsługujące rozszerzenie
XKB. Kompilator może także utworzyć pliki nagłówkowe C lub pliki
źródłowe XKB. Pliki nagłówkowe C mogą być włączane przez serwery X lub
narzędzia wymagające wbudowanej domyślnej mapy klawiatury.

%prep
%setup -q -n xkbcomp-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README*
%attr(755,root,root) %{_bindir}/xkbcomp
%{_mandir}/man1/xkbcomp.1*
%{_pkgconfigdir}/xkbcomp.pc
%changelog
* Sat Nov 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xkbcomp.git;a=log;h=master

* Sat Nov 22 2014 Jan Rękorajski <baggins@pld-linux.org> 8252ead
- avoid generating deps on devel packages
- rel 2

* Fri Nov 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 4988ac0
- updated to 1.3.0

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 1d913ad
- updated to 1.2.4

* Wed Jun 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 8cb188f
- updated to 1.2.3

* Sat Feb 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 4690f7f
- updated to 1.2.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> cd2dc87
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 633fcff
- updated to 1.2.0

* Fri Oct 09 2009 Jakub Bogusz <qboosh@pld-linux.org> a946d42
- updated util-macros version

* Sat Oct 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b7f65e8
- up to 1.1.1

* Thu Jul 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d9b4b59
- up to 1.1.0

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 9cbcb0d
- updated to 1.0.5

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> 92ce66f
- updated to 1.0.4
- real descs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 683ebbb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0729766
- converted to UTF-8

* Wed Nov 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 9370cfc
- up to 1.0.3

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> f7a0171
- more verbose files, release 1

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c7389d
- up to 1.0.2

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> ad52644
- 1.0.1 (X11R7.0 release)

* Tue Dec 13 2005 Jakub Bogusz <qboosh@pld-linux.org> d170735
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> d684ff6
- pkgconfig epoch

